package com.hzya.frame.cbs8.dto.req;

/**
 * @Description 批量代发代扣 203代发 201代扣
 * @Author xiangerlin
 * @Date 2024/6/18 11:58
 **/
public class PaymentApplySubmitReqDTO {
    //业务参考号
    private String referenceNum;
    /**
     * 业务类型
     * 201-代扣
     * 203-代发
     * 代发工资传203
     */
    private String busType;
    //总金额 小数位2位
    private String amount;
    //币种
    private String currency;
    //付款账号
    private String payAccount;
    //用途
    private String purpose;
    // 以上是必填字段



    //备注
    private String summary;
    //期望支付时间
    private String expectTime;
    //公私标识 1对私 0对公
    private String personalFlag;
    //加急标志 1加急 0不加急
    private String urgentTag;
    //是否实时 1实时 0落地
    private String realTimeTag;
    /**
     * 同城标志 0同城 1异地
     * 收/付账号所属同一个城市为同城，否则为异地
     */
    private String cityFlag;
    //银行备用字段 一共8个
    private String bankExtend1;
    private String bankExtend2;
    private String bankExtend3;
    private String bankExtend4;
    private String bankExtend5;
    private String bankExtend6;
    private String bankExtend7;
    private String bankExtend8;

    //客户备用字段1
    private String erpExtend1;
    //客户备用字段1
    private String erpExtend2;
    //客户备用字段1
    private String erpExtend3;

    public String getReferenceNum() {
        return referenceNum;
    }

    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getExpectTime() {
        return expectTime;
    }

    public void setExpectTime(String expectTime) {
        this.expectTime = expectTime;
    }

    public String getPersonalFlag() {
        return personalFlag;
    }

    public void setPersonalFlag(String personalFlag) {
        this.personalFlag = personalFlag;
    }

    public String getUrgentTag() {
        return urgentTag;
    }

    public void setUrgentTag(String urgentTag) {
        this.urgentTag = urgentTag;
    }

    public String getRealTimeTag() {
        return realTimeTag;
    }

    public void setRealTimeTag(String realTimeTag) {
        this.realTimeTag = realTimeTag;
    }

    public String getCityFlag() {
        return cityFlag;
    }

    public void setCityFlag(String cityFlag) {
        this.cityFlag = cityFlag;
    }

    public String getBankExtend1() {
        return bankExtend1;
    }

    public void setBankExtend1(String bankExtend1) {
        this.bankExtend1 = bankExtend1;
    }

    public String getErpExtend1() {
        return erpExtend1;
    }

    public void setErpExtend1(String erpExtend1) {
        this.erpExtend1 = erpExtend1;
    }

    public String getErpExtend2() {
        return erpExtend2;
    }

    public void setErpExtend2(String erpExtend2) {
        this.erpExtend2 = erpExtend2;
    }

    public String getErpExtend3() {
        return erpExtend3;
    }

    public void setErpExtend3(String erpExtend3) {
        this.erpExtend3 = erpExtend3;
    }

    public String getBankExtend2() {
        return bankExtend2;
    }

    public void setBankExtend2(String bankExtend2) {
        this.bankExtend2 = bankExtend2;
    }

    public String getBankExtend3() {
        return bankExtend3;
    }

    public void setBankExtend3(String bankExtend3) {
        this.bankExtend3 = bankExtend3;
    }

    public String getBankExtend4() {
        return bankExtend4;
    }

    public void setBankExtend4(String bankExtend4) {
        this.bankExtend4 = bankExtend4;
    }

    public String getBankExtend5() {
        return bankExtend5;
    }

    public void setBankExtend5(String bankExtend5) {
        this.bankExtend5 = bankExtend5;
    }

    public String getBankExtend6() {
        return bankExtend6;
    }

    public void setBankExtend6(String bankExtend6) {
        this.bankExtend6 = bankExtend6;
    }

    public String getBankExtend7() {
        return bankExtend7;
    }

    public void setBankExtend7(String bankExtend7) {
        this.bankExtend7 = bankExtend7;
    }

    public String getBankExtend8() {
        return bankExtend8;
    }

    public void setBankExtend8(String bankExtend8) {
        this.bankExtend8 = bankExtend8;
    }
}
